Subject: Re: bug#35964: TeX-strip-extension not doing what's documented, TeX-master-file always returning relative name

From: Arash Esbati <[email-masked]>
Date: Wed, 03 Apr 2024 20:38:43 +0200

Ikumi Keita <[email-masked]> writes:

> IMHO, the sentence "If optional second argument NONDIRECTORY is non-nil,
> do not include the directory." in the doc string of `TeX-master-file'
> does not gurantee that it returns absolute path if NONDIRECTORY is nil.
> It just states the case when NONDIRECTORY is non-nil, and nothing when
> NONDIRECTORY is nil.  I think `TeX-master-file' is designed so that
> (TeX-master-file) returns "main" in the buffer of main.tex and
> "../master" in the buffer of sub.tex with local variable specification
> %%% TeX-master: "../master"
> .

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

No more response, I'm therefore closing this, assuming that we will not
change the way `TeX-master-file' works.

Best, Arash